DCMTK - Bug #612

Wildcards in Patient Name (Person Name?) Matching
2014-10-24 11:47 - Michael Onken

Status: New Start date: 2014-10-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library and Apps Estimated time: 0:00 hour

Target version:
Module: Compiler:

Operating System:

Description

Matching Patient's Name using wildcards does not work reliably with name delimiters, e.g. something like "*"*AA" does not work.
Probably this applies also to VR Person Name in general.

However, note that there is a "new" attenuation in the standard for wildcard matching, saying "For Attributes with a PN value
representation, including the case of extended negotiation of fuzzy semantic matching, wild card matching is implementation
dependent and shall be specified in the conformance statement.", so a fix would be nice but one could argue that this is the desired
implemntation ;)

History

#1 - 2017-03-24 12:48 - Marco Eichelberg

- Target version set to 3.6.3

#2 - 2017-12-07 11:52 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#3 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)

#4 - 2024-06-26 10:22 - J6rg Riesmeier
- Category set to Library and Apps
